declare type Fetch = typeof fetch;
declare type Params = Parameters<Fetch>;
export declare type Options = Params[1];
export interface UnfetchResponse {
    ok: boolean;
    statusText: string;
    status: number;
    url: string;
    text(): Promise<string>;
    json<T = any>(): Promise<T>;
    blob(): Promise<Blob>;
    clone(): UnfetchResponse;
    headers: {
        keys(): string[];
        entries(): [string, string][];
        get(name: string): string;
        has(name: string): boolean;
    };
}
export declare function unfetch(url: string, options?: Options): Promise<UnfetchResponse>;
export {};
